<div class="row">
  <div class="col-sm">
    <div class="card">
      <div class="card-header">
        <div class="card-title">
          <div class="row">
            <div class="col-sm margin-top-bottom-auto">
             <span class="h4">
                  <i class="fas fa fa-ticket-alt"></i>&nbsp; Pending Tickets
              </span>
              <span>
                <a class="btn-link link-danger" routerLink="/dashboard/tickets/resolved">Resolved</a>
              </span>
            </div>
            <div class="col-sm">
              <div class="float-right">
                <app-search-box (searchChange)="onSearchChanged($event)"
                                placeholder="Search For Ticket(s): "></app-search-box>
                <button
                  placement="top"
                  ngbTooltip="Refresh Tickets"
                  class="btn btn-neutral btn-round" (click)="refresh()">
                  <i class="fas fa fa-sync"></i>
                  Refresh
                </button>
              </div>
            </div>
          </div>
        </div>
      </div>
      <div class="card-body overflow-scroll">
        <table id="dataTable" class="table table-striped table-bordered">
          <thead>
          <tr>
            <th (click)="sortData(head)" [ngbTooltip]="head.toolTip" [class.cursor]="head.sortable" *ngFor="let head of headers">{{ head.title }}
              <i *ngIf="head.sortable" [className]="head.sortIcon"></i>
            </th>
          </tr>
          </thead>
          <tbody>
          <tr *ngIf="!rows || rows.length == 0 && !isLoading">
            <td [colSpan]="headers.length" class="text-center">No Data Found.</td>
          </tr>
          <tr *ngFor="let row of rows">
            <td>
              <span [innerHTML]="row.status | ticketStatus"></span>
            </td>
            <td>{{row.ticketNo}}</td>
            <td>{{row.companyName}}</td>
            <td>{{row.companyEmail}}</td>
            <td>{{row.companyPhoneNumber}}</td>
            <td>{{row.subject}}</td>
            <td>{{row.createdDate}}</td>
            <td>
              <a (click)="viewDetail(row)" class="text-primary cursor"
                 placement="top"
                 ngbTooltip="View Ticket Details"><i
                class="fa fa-eye"></i></a>
            </td>
          </tr>
          </tbody>
        </table>
        <div class="row">
          <div class="col-sm">
            <ngb-pagination [pageSize]="10" [collectionSize]="totalPage" (pageChange)="changePage($event)"
                            [(page)]="page" [maxSize]="3" [boundaryLinks]="true"></ngb-pagination>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
